import numpy as np
import matplotlib.pyplot as plt
from matplotlib import cm
from mpl_toolkits.mplot3d import Axes3D

def plot3d(img):
    fig = plt.figure()
    ax = fig.gca(projection="3d")
    X = np.arange(img.shape[0])
    Y = np.arange(img.shape[1])
    X, Y = np.meshgrid(X, Y)
    surf = ax.plot_surface(X, Y, img, rstride=1,
                           cstride=1, cmap=cm.coolwarm)
    plt.show()
