import numpy as np
from astropy.coordinates import get_moon, get_sun
from astropy.time import Time
import time

def mphase(ttime):
    sun = get_sun(ttime)
    moon = get_moon(ttime)
    elongation = sun.separation(moon)
    return np.arctan2(sun.distance*np.sin(elongation),
                      moon.distance - sun.distance*np.cos(elongation))

if __name__ == '__main__':
    now =  Time(time.time(), format='unix')
    print "Fase lunare in questo momento:", mphase(now).to("deg")
