# Calcoli relativi alla luna

import math

# Durata media mese lunare: 29 giorni, 12 ore, 43 minuti, 11 secondi
MESE_LUNARE = 29*86400 + 12*3600 + 43*60 + 11  # in secondi
QUARTO_LUNARE = MESE_LUNARE*0.25   # Durata di ogni quarto

# Prima luna nuova dopo 1/1/1970
LUNA_NUOVA_1 = 660262.0  # in secondi
ZERO_LUNA = LUNA_NUOVA_1 - QUARTO_LUNARE*0.5

def fase_luna(nsec):  # fase lunare per l'istante assegnato.
                      # 0: nuova, 1:1^ quarto, 2:piena, 3:ultimo quarto.
    fase_sec = math.fmod(nsec-ZERO_LUNA, MESE_LUNARE)
    fase = int(fase_sec/QUARTO_LUNARE)
    return fase
