# Calcolo frequenza di nascita nelle fasi lunari

import numpy as np
import tt
import luna

filename = "dati_nascite.dat"
dati = np.loadtxt(filename, dtype=np.int_,      # Leggi dati
                  converters={0: tt.toseconds}, unpack=True)

cvt_luna = np.vectorize(luna.fase_luna)
faseluna = cvt_luna(dati[0]) # Determina fase della luna

m0 = np.array([1 if x==0 else 0 for x in faseluna]) 
m1 = np.array([1 if x==1 else 0 for x in faseluna]) 
m2 = np.array([1 if x==2 else 0 for x in faseluna]) 
m3 = np.array([1 if x==3 else 0 for x in faseluna]) 

nati0 = np.dot(m0,dati[3])
nati1 = np.dot(m1,dati[3])
nati2 = np.dot(m2,dati[3])
nati3 = np.dot(m3,dati[3])

totnati = nati0+nati1+nati2+nati3

nati_gg = float(totnati)/len(faseluna)


f_osserv = [nati0, nati1, nati2, nati3]
f_attesa = [np.sum(m0)*nati_gg, 
            np.sum(m1)*nati_gg, 
            np.sum(m2)*nati_gg, 
            np.sum(m3)*nati_gg]

# plt.bar(np.arange(0.6, 4.5, 1), f_osserv, width=0.4, color='blue')
# plt.bar(np.arange(1, 4.5, 1), f_attesa, width=0.4, color='green')

chi_sq = sum([(x-y)**2/y for (x,y) in zip(f_osserv, f_attesa)])

p0 = float(nati0)/totnati
p1 = float(nati1)/totnati
p2 = float(nati2)/totnati
p3 = float(nati3)/totnati
