import json
import matplotlib.pyplot as plt

from altaz import atmidnight, firenze
from plotlabels import mticks

with open("star_db.json") as fpt:
    stelle = json.load(fpt)

mdays, mnames = mticks(2017)

for s in stelle:
    sdata = atmidnight(s, firenze, 1)
    plt.plot(sdata.alt)
    ticks = plt.xticks(mdays,mnames,rotation=45)
    axes=plt.gca()
    axes.set_xlim(0,366)
    axes.set_ylim(0,90)
    axes.set_aspect(0.8)
    plt.plot((0,366),(20,20),color="r")
    plt.grid()
    mag = min(s[5:8])
    plt.title("%s (%s) - mag: %.1f"%(s[0],s[1],mag))
    plt.show()

