import numpy as np
import time

import astropy.units as u
from astropy.time import Time
from astropy.coordinates import SkyCoord, EarthLocation, AltAz

def atmidnight(star, location, utc_offset):
    "Calcola altezza dell'oggetto alla mezzanotte per tutto l'anno"
    h_offset = (utc_offset)*u.hour
    t0=Time("2017-01-01 00:00:00")-h_offset
    alldays = t0+np.arange(365)*u.day
    azsteps = AltAz(obstime=alldays, location=location)
    radec = " ".join(star[3:5])
    coords = SkyCoord(radec, unit=(u.hourangle, u.deg))
    altaz = coords.transform_to(azsteps)
    return altaz

firenze = EarthLocation.from_geodetic(lat=43.75*u.deg,
                                      lon=11.25*u.deg,
                                      height=40)
