import time
import sys

from astroquery.simbad import Simbad

from starlist import STAR_DB

Simbad.add_votable_fields("flux(U)", "flux(B)", "flux(V)")

if len(sys.argv) > 1:
    first = sys.argv[1][0].upper()
else:
    first = None

for star in STAR_DB:
    if first and star[0][0].upper() != first:
        continue
    time.sleep(1)
    try:
        obj = Simbad.query_object(star[0])
    except Exception as e:
        print "Errore:", str(e)
    else:
        if obj:
            obj_data = [obj["MAIN_ID"].data[0], obj['RA'].data[0],
                        obj['DEC'].data[0], obj["FLUX_U"].data[0],
                        obj["FLUX_B"].data[0], obj["FLUX_V"].data[0]]
            star.extend(obj_data)
            print star
        else:
            print "%s (%s): non trovata" % (star[0], star[1])
